com.hazelcast.spring

## Class AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

- java.lang.Object
- - com.hazelcast.config.AbstractXmlConfigHelper
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

- Direct Known Subclasses:
    HazelcastClientBeanDefinitionParser.SpringXmlBuilder
  Enclosing class:
    AbstractHazelcastBeanDefinitionParser

      public abstract static class AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper
      extends AbstractXmlConfigHelper

  Base Helper class for Spring Xml Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `configBuilder`

    - ### Fields inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `domLevel3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringXmlBuilderHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `createAndFillBeanBuilder(Node node, Class clazz, String propertyName, org.springframework.beans.factory.support.BeanDefinitionBuilder parent, String... exceptPropertyNames)`
    `protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `createAndFillListedBean(Node node, Class clazz, String propertyName, org.springframework.beans.factory.support.ManagedMap<String,org.springframework.beans.factory.support.AbstractBeanDefinition> managedMap, String... excludeNames)`
    `protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `createBeanBuilder(Class clazz)`
    `protected void` | `fillAttributesForAliasedDiscoveryStrategy(AliasedDiscoveryConfig config, Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, String name)`
    `protected void` | `fillAttributeValues(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, Collection<String> epn)`
    `protected void` | `fillAttributeValues(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, String... excludeNames)`
    `protected void` | `fillValues(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, String... excludeNames)`
    `protected String` | `getAttribute(Node node, String attName)`
    `protected org.springframework.beans.factory.config.BeanDefinition` | `getEvictionConfig(Node node)`
    `protected org.springframework.beans.factory.config.BeanDefinition` | `getPreloaderConfig(Node node)`
    `protected String` | `getTextContent(Node node)`
    `protected void` | `handleCommonBeanAttributes(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, org.springframework.beans.factory.xml.ParserContext parserContext)`
    `protected void` | `handleDataSerializableFactories(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)`
    `protected void` | `handleDiscoveryStrategies(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder joinConfigBuilder)`
    `protected void` | `handleJavaSerializationFilter(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)`
    `protected void` | `handlePortableFactories(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)`
    `protected void` | `handleProperties(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder beanDefinitionBuilder)`
    `protected void` | `handleSerialization(Node node)`
    `protected void` | `handleSerializers(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)`
    `protected void` | `handleSocketInterceptorConfig(Node node, org.springframework.beans.factory.support.BeanDefinitionBuilder networkConfigBuilder)`
    `protected void` | `handleSpringAware()`
    `protected org.springframework.beans.factory.support.ManagedList` | `parseListeners(Node node, Class listenerConfigClass)`
    `protected org.springframework.beans.factory.support.ManagedMap` | `parseProperties(Node node)`
    `protected org.springframework.beans.factory.support.ManagedList` | `parseProxyFactories(Node node, Class proxyFactoryConfigClass)`

    - ### Methods inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `appendToken, getConfigType, getNamespaceType, getReleaseVersion, loadSchemaFile, schemaValidation, xmlToJavaName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configBuilder

          protected org.springframework.beans.factory.support.BeanDefinitionBuilder configBuilder

  - ### Constructor Detail

    - #### SpringXmlBuilderHelper

          public SpringXmlBuilderHelper()

  - ### Method Detail

    - #### handleCommonBeanAttributes

          protected void handleCommonBeanAttributes(Node node,
                                                    org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                                    org.springframework.beans.factory.xml.ParserContext parserContext)

    - #### getTextContent

          protected String getTextContent(Node node)

    - #### getAttribute

          protected String getAttribute(Node node,
                                        String attName)

    - #### createBeanBuilder

          protected org.springframework.beans.factory.support.BeanDefinitionBuilder createBeanBuilder(Class clazz)

    - #### createAndFillBeanBuilder

          protected org.springframework.beans.factory.support.BeanDefinitionBuilder createAndFillBeanBuilder(Node node,
                                                                                                             Class clazz,
                                                                                                             String propertyName,
                                                                                                             org.springframework.beans.factory.support.BeanDefinitionBuilder parent,
                                                                                                             String... exceptPropertyNames)

    - #### createAndFillListedBean

          protected org.springframework.beans.factory.support.BeanDefinitionBuilder createAndFillListedBean(Node node,
                                                                                                            Class clazz,
                                                                                                            String propertyName,
                                                                                                            org.springframework.beans.factory.support.ManagedMap<String,org.springframework.beans.factory.support.AbstractBeanDefinition> managedMap,
                                                                                                            String... excludeNames)

    - #### fillValues

          protected void fillValues(Node node,
                                    org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                    String... excludeNames)

    - #### fillAttributeValues

          protected void fillAttributeValues(Node node,
                                             org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                             String... excludeNames)

    - #### fillAttributeValues

          protected void fillAttributeValues(Node node,
                                             org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                             Collection<String> epn)

    - #### fillAttributesForAliasedDiscoveryStrategy

          protected void fillAttributesForAliasedDiscoveryStrategy(AliasedDiscoveryConfig config,
                                                                   Node node,
                                                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                                                   String name)

    - #### parseListeners

          protected org.springframework.beans.factory.support.ManagedList parseListeners(Node node,
                                                                                         Class listenerConfigClass)

    - #### parseProxyFactories

          protected org.springframework.beans.factory.support.ManagedList parseProxyFactories(Node node,
                                                                                              Class proxyFactoryConfigClass)

    - #### handleDataSerializableFactories

          protected void handleDataSerializableFactories(Node node,
                                                         org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)

    - #### handleSerializers

          protected void handleSerializers(Node node,
                                           org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)

    - #### handlePortableFactories

          protected void handlePortableFactories(Node node,
                                                 org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)

    - #### handleSerialization

          protected void handleSerialization(Node node)

    - #### handleSocketInterceptorConfig

          protected void handleSocketInterceptorConfig(Node node,
                                                       org.springframework.beans.factory.support.BeanDefinitionBuilder networkConfigBuilder)

    - #### handleProperties

          protected void handleProperties(Node node,
                                          org.springframework.beans.factory.support.BeanDefinitionBuilder beanDefinitionBuilder)

    - #### parseProperties

          protected org.springframework.beans.factory.support.ManagedMap parseProperties(Node node)

    - #### handleSpringAware

          protected void handleSpringAware()

    - #### getEvictionConfig

          protected org.springframework.beans.factory.config.BeanDefinition getEvictionConfig(Node node)

    - #### getPreloaderConfig

          protected org.springframework.beans.factory.config.BeanDefinition getPreloaderConfig(Node node)

    - #### handleDiscoveryStrategies

          protected void handleDiscoveryStrategies(Node node,
                                                   org.springframework.beans.factory.support.BeanDefinitionBuilder joinConfigBuilder)

    - #### handleJavaSerializationFilter

          protected void handleJavaSerializationFilter(Node node,
                                                       org.springframework.beans.factory.support.BeanDefinitionBuilder serializationConfigBuilder)

Copyright © 2019. All rights reserved.